# Method: monetization.subscriptions.archive

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/archive#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/archive#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/archive#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/archive#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/archive#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/archive#try-it)

> [!WARNING]
> This item is deprecated!

Deprecated: subscription archiving is not supported.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/subscriptions/{productId}:archive`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) of the app of the subscription to delete. |
| `productId` | `string` Required. The unique product ID of the subscription to delete. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions#Subscription`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`